<?php
class GVideo{    

    public function lista(){
      return "SELECT id_curso_video as id, no_curso_video as noVideo, c.id_curso_clase as idCursoClase, c.no_curso_clase as noCursoClase,
      cp.url_curso_video as urlVideo, (CASE WHEN cp.status = '1' THEN 'Activo' ELSE 'Inactivo' END) AS noStatus, cp.status
      FROM tb_curso_video cp 
      INNER JOIN tb_curso_clase c ON cp.id_curso_clase = c.id_curso_clase 
			INNER JOIN tb_curso cc ON cc.id_curso= c.id_curso
      WHERE cp.STATUS = '1' AND cp.id_curso_clase = ?  ORDER BY 3 , 1";
    } 

    
    public function guardar(){
        return "INSERT INTO `tb_curso_video` (`no_curso_video`, `id_curso_clase`, `url_curso_video`, `url_curso_documento`, `status`,`id_curso_video`) VALUES 
        (?,?,?,?,'1',?)";
    }

    public function modificar(){
      return "UPDATE `tb_curso_video` SET `no_curso_video` = ?, `id_curso_clase` = ?, `url_curso_video` = ?, `url_curso_documento` = ?  WHERE `id_curso_video` = ?";     
    }  

    public function eliminar(){
      return "UPDATE tb_curso_video SET `STATUS` = '0' WHERE id_curso_video = ?";
    }

    public function listarCursoClase(){
      return "SELECT id_curso_clase as id, no_curso_clase as noCursoClase FROM tb_curso_clase ";
    }

    
    public function listaVideoId(){
      return "SELECT id_curso_video as id, no_curso_video as noVideo,cc.id_curso_clase as idCursoClase, cc.no_curso_clase as noCursoClase, c.id_curso as idCurso, c.no_curso as noCurso,p.id_tipo_plan as idTipoPlan, p.no_tipo_plan as noTipoPlan,
       cv.url_curso_video as urlVideo, cv.url_curso_documento as urlDocumento, (CASE WHEN cv.status = '1' THEN 'Activo' ELSE 'Inactivo' END) AS noStatus, cv.status ,
      c.de_curso as deCurso, c.url_curso as urlImagen ,  (CASE WHEN c.id_tipo_curso = 1 THEN 'l-bg-purple-dark' WHEN  c.id_tipo_curso = 2 THEN 'l-bg-red' ELSE 'l-bg-orange' END) as estilo ,
      pc.id_cliente as idCliente
      FROM tb_curso_video cv 
      INNER JOIN tb_curso_clase cc ON cv.id_curso_clase = cc.id_curso_clase 
			INNER JOIN tc_tipo_plan p ON p.id_tipo_plan = cc.id_tipo_plan
      INNER JOIN tb_curso c ON c.id_curso = cc.id_curso 
      INNER JOIN tb_pago_cliente pc ON c.id_curso = pc.id_curso
      WHERE DATE_ADD(pc.fe_activacion, INTERVAL pc.meses_contrato MONTH) > NOW() and  cv.status = '1' and pc.status = '1' and pc.id_cliente = ?
      ORDER BY cc.indice IS NULL, cc.indice ASC";
    }

    public function listaVideoTallerId(){
      return "SELECT 	id_curso_video as id, 
              no_curso_video as noVideo, 
              cc.id_curso_clase as idCursoClase, 
			  cc.no_curso_clase as noCursoClase,
              cc.id_curso_clase as idCurso, 
              cc.no_curso_clase as noCurso,
              cc.id_tipo_plan as idTipoPlan, 
              p.no_tipo_plan as noTipoPlan,
              cv.url_curso_video as urlVideo, 
              (CASE WHEN cv.status = '1' THEN 'Activo' ELSE 'Inactivo' END) AS noStatus, 
              cv.status,
              cc.de_clase as deCurso, 
              cc.url_clase as urlImagen,  
              'l-bg-red' as estilo,
              pc.id_cliente as idCliente
              FROM tb_curso_video cv 
              LEFT JOIN tb_curso_clase cc ON cv.id_curso_clase = cc.id_curso_clase 
              INNER JOIN tc_tipo_plan p ON p.id_tipo_plan = cc.id_tipo_plan
              INNER JOIN tb_pago_cliente pc ON pc.id_curso = cc.id_curso_clase
              WHERE cv.status = '1' and pc.status = '1' AND pc.id_cliente = ?";
    }

    public function obtenerUrlVideo(){
      return "SELECT url_curso_video as urlVideo FROM tb_curso_video WHERE id_curso_video = ?";
    } 

    public function obtenerUrlDocumento(){
      return "SELECT url_curso_documento as urlDocumento FROM tb_curso_video WHERE id_curso_video = ?";
    }

    public function guardarVistaVideo(){
      return "INSERT INTO `tb_vistas_cliente` (`id_curso`,`id_curso_clase`,`id_curso_video`,`id_cliente`) VALUES 
      (?,?,?,?)";
    }

}
?>